Package org.eclipse.mat.parser.index

## Class IndexWriter.IntArray1NUncompressedCollector

- java.lang.Object
- - org.eclipse.mat.parser.index.IndexWriter.IntArray1NUncompressedCollector

Enclosing class:
  IndexWriter

    public static class IndexWriter.IntArray1NUncompressedCollector
    extends Object

### Constructor Summary

Constructors
`IntArray1NUncompressedCollector​(int size, File indexFile)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IIndexReader.IOne2ManyIndex` `flush()`
`File` `getIndexFile()`
`void` `log​(int classId, int methodId)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntArray1NUncompressedCollector

    public IntArray1NUncompressedCollector​(int size,
                                           File indexFile)
                                    throws IOException

Throws:
  `IOException`

### Method Detail

#### log

    public void log​(int classId,
                    int methodId)

#### getIndexFile

    public File getIndexFile()

#### flush

    public IIndexReader.IOne2ManyIndex flush()
                                      throws IOException

Throws:
  `IOException`